<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::kernel Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('namespacemelon_1_1kernel.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">melon::kernel Namespace Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html">Kernel</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract parent class for kernel implementations.  <a href="classmelon_1_1kernel_1_1_kernel.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_add.html">KernelCompositeAdd</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Composite kernel which on evaluation adds the evaluation results of its subkernels.  <a href="classmelon_1_1kernel_1_1_kernel_composite_add.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel_composite_multiply.html">KernelCompositeMultiply</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Composite kernel which on evaluation multiplies the evaluation results of its subkernels.  <a href="classmelon_1_1kernel_1_1_kernel_composite_multiply.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel_constant.html">KernelConstant</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classmelon_1_1kernel_1_1_kernel.html" title="Abstract parent class for kernel implementations.">Kernel</a> which always returns a constant value.  <a href="classmelon_1_1kernel_1_1_kernel_constant.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmelon_1_1kernel_1_1_kernel_data.html">KernelData</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">struct containing kernel parameters  <a href="structmelon_1_1kernel_1_1_kernel_data.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">KernelRBF</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of Radial Basis Function kernel.  <a href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern.html">Matern</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract parent class for matern kernels.  <a href="classmelon_1_1kernel_1_1_matern.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern12.html">Matern12</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern12.html" title="Class implementation of Matern12 kernel.">Matern12</a> kernel.  <a href="classmelon_1_1kernel_1_1_matern12.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern32.html">Matern32</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern32.html" title="Class implementation of Matern32 kernel.">Matern32</a> kernel.  <a href="classmelon_1_1kernel_1_1_matern32.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern52.html">Matern52</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern52.html" title="Class implementation of Matern52 kernel.">Matern52</a> kernel.  <a href="classmelon_1_1kernel_1_1_matern52.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html">MaternInf</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class implementation of <a class="el" href="classmelon_1_1kernel_1_1_matern_inf.html" title="Class implementation of MaternInf kernel.">MaternInf</a> kernel.  <a href="classmelon_1_1kernel_1_1_matern_inf.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">StationaryKernel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af325146267524e3bec94d0535ffcebcb" id="r_af325146267524e3bec94d0535ffcebcb"><td class="memTemplParams" colspan="2">template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </td></tr>
<tr class="memitem:af325146267524e3bec94d0535ffcebcb"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="#af325146267524e3bec94d0535ffcebcb">covar_matern_1</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x</a>)</td></tr>
<tr class="separator:af325146267524e3bec94d0535ffcebcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6326be288cac254a67493632f4ddf76" id="r_af6326be288cac254a67493632f4ddf76"><td class="memTemplParams" colspan="2">template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </td></tr>
<tr class="memitem:af6326be288cac254a67493632f4ddf76"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="#af6326be288cac254a67493632f4ddf76">covar_matern_3</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x</a>)</td></tr>
<tr class="separator:af6326be288cac254a67493632f4ddf76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1805b33bc8adf981fa654aaf8ff1fae7" id="r_a1805b33bc8adf981fa654aaf8ff1fae7"><td class="memTemplParams" colspan="2">template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </td></tr>
<tr class="memitem:a1805b33bc8adf981fa654aaf8ff1fae7"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="#a1805b33bc8adf981fa654aaf8ff1fae7">covar_matern_5</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x</a>)</td></tr>
<tr class="separator:a1805b33bc8adf981fa654aaf8ff1fae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a227d1955df0c4b01af2c41b9470e95" id="r_a2a227d1955df0c4b01af2c41b9470e95"><td class="memTemplParams" colspan="2">template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </td></tr>
<tr class="memitem:a2a227d1955df0c4b01af2c41b9470e95"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="#a2a227d1955df0c4b01af2c41b9470e95">covar_sqrexp</a> (<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">x</a>)</td></tr>
<tr class="separator:a2a227d1955df0c4b01af2c41b9470e95"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="af325146267524e3bec94d0535ffcebcb" name="af325146267524e3bec94d0535ffcebcb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af325146267524e3bec94d0535ffcebcb">&#9670;&#160;</a></span>covar_matern_1()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> melon::kernel::covar_matern_1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>x</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af6326be288cac254a67493632f4ddf76" name="af6326be288cac254a67493632f4ddf76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6326be288cac254a67493632f4ddf76">&#9670;&#160;</a></span>covar_matern_3()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> melon::kernel::covar_matern_3 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>x</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1805b33bc8adf981fa654aaf8ff1fae7" name="a1805b33bc8adf981fa654aaf8ff1fae7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1805b33bc8adf981fa654aaf8ff1fae7">&#9670;&#160;</a></span>covar_matern_5()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> melon::kernel::covar_matern_5 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>x</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a227d1955df0c4b01af2c41b9470e95" name="a2a227d1955df0c4b01af2c41b9470e95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a227d1955df0c4b01af2c41b9470e95">&#9670;&#160;</a></span>covar_sqrexp()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">typename</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> melon::kernel::covar_sqrexp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">const</a> <a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html">T</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>x</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="namespacemelon_1_1kernel.html">kernel</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
